UDF 2.60 support

Bug #221694 reported by Fred on 2008-04-25
24
This bug affects 3 people
Affects Status Importance Assigned to Milestone
Linux
Unknown
Unknown
linux (Ubuntu)
Wishlist
Unassigned

Bug Description

We currently have support for UDF (Universal Disk Format) 2.0x, we should get support for UDF 2.60.

The Universal Disk Format (UDF) is a format specification of a file system for storing files on optical media. It is an implementation of the ISO/IEC 13346 standard.

http://en.wikipedia.org/wiki/Universal_Disk_Format

trollord (trollenlord) wrote :

I'd personally propose UDF 2.6 for backporting. Not including it in the first place in Hardy was a blunder. It is required by new high definition video discs. Now that we got LTS that is unable read any of those discs for 5 next years, guess what it is going to do to the rate of Linux adoption in a year or two when those discs really start out-phasing DVDs...

Benjamin Drung (bdrung) wrote :

You can grab a patch for Linux 2.6.24 (hardy kernel) from Linux UDF on SourceForge: http://sourceforge.net/tracker/index.php?func=detail&aid=1882910&group_id=295&atid=300295
The UDF patch will be in Linux 2.6.26 and therefore in intrepid.

Benjamin Drung (bdrung) wrote :

I found this on the LKML: http://linux.derkeiler.com/Mailing-Lists/Kernel/2008-04/msg08754.html Please also have a look at bug #165097.

Fred (eldmannen+launchpad) wrote :

Oh, great so we will have UDF 2.60 support in Intrepid Ibex.

Oh well atleast read-only support. We should try get read-write support too.

The Ubuntu Kernel Team is planning to move to the 2.6.27 kernel for the upcoming Intrepid Ibex 8.10 release. As a result, the kernel team would appreciate it if you could please test this newer 2.6.27 Ubuntu kernel. There are one of two ways you should be able to test:

1) If you are comfortable installing packages on your own, the linux-image-2.6.27-* package is currently available for you to install and test.

--or--

2) The upcoming Alpha5 for Intrepid Ibex 8.10 will contain this newer 2.6.27 Ubuntu kernel. Alpha5 is set to be released Thursday Sept 4. Please watch http://www.ubuntu.com/testing for Alpha5 to be announced. You should then be able to test via a LiveCD.

Please let us know immediately if this newer 2.6.27 kernel resolves the bug reported here or if the issue remains. More importantly, please open a new bug report for each new bug/regression introduced by the 2.6.27 kernel and tag the bug report with 'linux-2.6.27'. Also, please specifically note if the issue does or does not appear in the 2.6.26 kernel. Thanks again, we really appreicate your help and feedback.

Fred (eldmannen+launchpad) wrote :

I am running 2.6.27, but as far as I know, it still does not have UDF 2.60 support.

Ohad (ohad-basan) wrote :

I experience the problem in ubuntu 8.10 RC

Changed in linux:
importance: Undecided → Wishlist
status: Confirmed → New

Setting this to Triaged. Doesn't look like 2.60 support is available yet.

commit bfb257a5981af805a9394f00f75d3d9f7b611cc0
Author: Jan Kara <email address hidden>
Date: Tue Apr 8 20:37:21 2008 +0200

    udf: Add read-only support for 2.50 UDF media

Changed in linux (Ubuntu):
status: New → Triaged
Jeremy Foshee (jeremyfoshee) wrote :

This bug report was marked as Triaged a while ago but has not had any updated comments for quite some time. Please let us know if this issue remains in the current Ubuntu release, http://www.ubuntu.com/getubuntu/download . If the issue remains, click on the current status under the Status column and change the status back to "New". Thanks.

[This is an automated message. Apologies if it has reached you inappropriately; please just reply to this message indicating so.]

tags: added: kj-triage
Changed in linux (Ubuntu):
status: Triaged → Incomplete
Fred (eldmannen+launchpad) wrote :

Linux still does not seem to have support for UDF 2.60.
http://en.wikipedia.org/wiki/Universal_Disk_Format#Native_OS_support
:(

Stefan Bader (smb) wrote :

The current support for UDF in Linux is not going beyond 2.50. We cannot provide functionality which is not provided by upstream. I am closing this bug. If there is UDF 2.60 support upstream, this bug (or a new one) could be re-opened.

Changed in linux (Ubuntu):
status: Incomplete → Won't Fix
Fred (eldmannen+launchpad) wrote :

Then you must fix this upstreams!

Revision 2.60 of UDF was released on March 1, 2005.
Linux/Ubuntu should have support for technology that is over 5 years old!

Other modern operating systems such as Windows Vista, Mac OS X, etc even NetBSD got support for it.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.